import { InputHandler } from '../../../utils/input-handler';
import { MatrixElement } from './element-matrix';
export declare class BceElementMatrix {
    private el;
    allowNull?: boolean;
    handler: InputHandler;
    language?: string;
    template: MatrixElement;
    value: (number | null)[];
    private handleInput;
    validate(silent?: boolean): Promise<import("@bcase/core").ValidatorError[]>;
    renderHeader(): any[];
    renderRow(r: number): any;
    render(): any[] | null;
}
